NNPNTINITS(3NCARG)

NAME
NNPNTINITS - Enter single point mode

SYNOPSIS
CALL NNPNTINITS (NPNTS, X, Y, Z)

DESCRIPTION

NPNTS
    (Integer, Input) - The number of input data points. (NPNTS > 3).

X   (Real, Input) - An array of dimension NPNTS containing the X coordinates of the input data points.

Y   (Real, Input) - An array of dimension NPNTS containing the Y coordinates of the input data points.

Z   (Real, Input) - An array of dimension NPNTS containing the functional values of the input data points. That is, Z(L) is the value of the input function at coordinate (X(L),Y(L)), for L=1,NPNTS.

USAGE
This subroutine is called when you want to interpolate at individal points. It is an initialization routine that sets up some internal variables and does this initial triangulation. To actually do the interplation, use subroutine NNPNTS. To terminate single point mode, use the subroutine NNPNTEND.

ACCESS
To use NNPNTINITS, load the NCAR Graphics library ngmath.

SEE ALSO
natgrid, natgrid_params, natgrids, nnpnts, nnpntend.

Complete documentation for Natgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/natgrid/nnhome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.